Name:           calceph
Version:        3.4.6
Release:        3%{?dist}
Summary:        Astronomical library to access planetary ephemeris files

License:        CeCILL or CeCILL-B or CeCILL-C
URL:            https://www.imcce.fr/inpop/calceph
Source0:        https://www.imcce.fr/content/medias/recherche/equipes/asd/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-gfortran

%description
This library is designed to access the binary planetary ephemeris files,
such INPOPxx, JPL DExxx and SPICE ephemeris files.


%package        fortran
Summary:        %{name} fortran interface
License:        CeCILL or CeCILL-B or CeCILL-C

%description    fortran
%{name} fortran interface.


%package        libs
Summary:        %{name} shared libraries
License:        CeCILL or CeCILL-B or CeCILL-C

%description    libs
%{name} shared libraries.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.


%prep
%autosetup

# Remove executable bit set on license files
chmod -x COPYING*


%build
%configure --enable-fortran=yes \
    --enable-python=no \
    --enable-python-package-system=no \
    --enable-python-package-user=no \
    --disable-static \
    --docdir=%{_pkgdocdir}
%make_build


%install
%make_install

rm %{buildroot}%{_libdir}/libcalceph.la
rm -r %{buildroot}%{_libexecdir}

# Needed by EPEL7
%ldconfig_scriptlets


%check
make check


%files
%{_bindir}/*


%files      fortran
%license COPYING_CECILL_V2.1.LIB COPYING_CECILL_B.LIB COPYING_CECILL_C.LIB
%{_includedir}/%{name}.mod


%files      libs
%license COPYING_CECILL_V2.1.LIB COPYING_CECILL_B.LIB COPYING_CECILL_C.LIB
%{_libdir}/*.so.1
%{_libdir}/*.so.1.*


%files      devel
%{_libdir}/*.so
%{_includedir}/*.h


%files      doc
%{_pkgdocdir}


%changelog
* Tue Nov 3 2020 Mattia Verga <mattia.verga@protonmail.com> - 3.4.6-3
- Enable fortran module build

* Sun Nov  1 2020 Mattia Verga <mattia.verga@protonmail.com> - 3.4.6-2
- Split libs subpackage
- Add ldconfig macro for EPEL7 compatibility

* Sun Nov  1 2020 Mattia Verga <mattia.verga@protonmail.com> - 3.4.6-1
- Initial packaging
